#include <iostream>
#include <string>
using namespace std;
int main()
{
    int n, len, masiw[4000], x=1;
    bool flag=false;
    cin>>n;
    int a[n];
    for (int i=0; i<=n; i++)
    {
        string niz;
        getline(cin,niz);
        len=niz.length();
        for (int k=0; k<len; k++)
        {
            masiw[k]=1;
            for (int j=0; j<len; j++)
            {
                if (niz.substr(k,1)==niz.substr(j,1) and j!=k) masiw[k]++;
            }
            if (masiw[k]%2==1)
            {
                if (flag==true) x=0;
                else flag=true;
            }
        }
        a[i]=x;
    }
    for (int f=0;f<n;f++) cout<<a[f];

        return 0;
    }
